Confirm a payment
POST
header
Api-Key<token>id*stringPayment ID
maxPollMs?|Maximum time to long-poll for payment status, in milliseconds.
Format
int64Range
0 <= valueApi-Key?string|nullApp-Id?string|nullClient-Id?string|nullWCP-Version?string|nullSdk-Name?string|nullSdk-Version?string|nullSdk-Platform?string|nullapplication/json- body
collectedData?||nulloptionId*stringID of the option to confirm
results*array<>Payment confirmed successfully
application/json- response
info?|nullisFinal*booleanTrue if the payment is in a final state and no longer requires polling
pollInMs?|Time to poll for payment status, in milliseconds. Not present if the payment is in a final state.
Format
int64Range
0 <= valuestatus*PaymentStatusPayment status
Value in
"requires_action""processing""succeeded""failed""expired""cancelled"curl -X POST 'https://api.pay.walletconnect.com/v1/gateway/payment/pay_7fa2ecc101ARZ3NDEKTSV4RRFFQ69G5FAV/confirm' \ -H 'Content-Type: application/json' \ -d '{ "optionId": "string", "results": [ { "data": [ null ], "type": "walletRpc" } ]}'{ "info": { "optionAmount": { "display": { "assetName": "string", "assetSymbol": "string", "decimals": 0, "iconUrl": "string", "networkIconUrl": "string", "networkName": "string" }, "unit": "string", "value": "string" }, "txId": "string" }, "isFinal": true, "pollInMs": 0, "status": "requires_action"}